com.brightcove.ssai.ui

## Class SSAIThumbnailDocumentCreatorWrapper

- java.lang.Object
- - com.brightcove.ssai.ui.SSAIThumbnailDocumentCreatorWrapper

- All Implemented Interfaces:
    ThumbnailDocumentCreator

      public class SSAIThumbnailDocumentCreatorWrapper
      extends java.lang.Object
      implements ThumbnailDocumentCreator

  A wrapping `ThumbnailDocumentCreator` for the SSAI plugin that incorporates the `Timeline` to account for the relative and abolute playhead position given Ad breaks present in the Video.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSAIThumbnailDocumentCreatorWrapper(ThumbnailDocumentCreator thumbnailDocumentCreator, Timeline timeline)` Creates the SSAI Thumbnail Creator instance by wrapping an existing `ThumbnailDocumentCreator` implementation along with a `Timeline` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ThumbnailDocument` | `createThumbnailDocument(java.util.List<TimedThumbnail> timedThumbnailList)` Creates an implementation of `ThumbnailDocument` given a list of `TimedThumbnail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SSAIThumbnailDocumentCreatorWrapper

          public SSAIThumbnailDocumentCreatorWrapper(@NonNull
                                                     ThumbnailDocumentCreator thumbnailDocumentCreator,
                                                     @NonNull
                                                     Timeline timeline)

      Creates the SSAI Thumbnail Creator instance by wrapping an existing `ThumbnailDocumentCreator` implementation along with a `Timeline` instance.
      Parameters:
        `thumbnailDocumentCreator` - an existing `ThumbnailDocumentCreator` implementation
        `timeline` - the SSAI Video's timeline

  - ### Method Detail

    - #### createThumbnailDocument

          @NonNull
          public ThumbnailDocument createThumbnailDocument(@NonNull
                                                                    java.util.List<TimedThumbnail> timedThumbnailList)

      Description copied from interface: `ThumbnailDocumentCreator`
      Creates an implementation of `ThumbnailDocument` given a list of `TimedThumbnail`
      Specified by:
        `createThumbnailDocument` in interface `ThumbnailDocumentCreator`
      Parameters:
        `timedThumbnailList` - list of `TimedThumbnail`
      Returns:
        a ThumbnailDocument